# Uses of Interface
org.eclipse.debug.core.model.IStreamsProxy

Packages that use IStreamsProxy
Package
Description
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.
org.eclipse.debug.ui.console
Provides a set of interfaces and classes for rendering and annotating text in the debug console.

## Uses of IStreamsProxy in org.eclipse.debug.core.model

Subinterfaces of IStreamsProxy in org.eclipse.debug.core.model
Modifier and Type
Interface
Description
`interface`
`IBinaryStreamsProxy`
A variant of `IStreamsProxy` which does not touch the proxied content and pass it as bytes instead of strings.
`interface`
`IStreamsProxy2`
Extension to a streams proxy that allows closing of the output stream connected to the standard input stream of a proxy's process.
Methods in org.eclipse.debug.core.model that return IStreamsProxy
Modifier and Type
Method
Description
`protected IStreamsProxy`
RuntimeProcess.`createStreamsProxy()`
Creates and returns the streams proxy associated with this process.
`IStreamsProxy`
IProcess.`getStreamsProxy()`
Returns a proxy to the standard input, output, and error streams for this process, or `null` if not supported.
`IStreamsProxy`
RuntimeProcess.`getStreamsProxy()`

## Uses of IStreamsProxy in org.eclipse.debug.ui.console

Methods in org.eclipse.debug.ui.console with parameters of type IStreamsProxy
Modifier and Type
Method
Description
`void`
IConsole.`connect(IStreamsProxy streamsProxy)`
Connects this console to the given streams proxy.